
From: Johannes Stezenbach <js@linuxtv.org>

fixed MAC address reading (eeprom address to read, was not correctly set,
respectively overwritten)

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/b2c2/skystar2.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/b2c2/skystar2.c~dvb-skystar2-fix-mac-address-reading drivers/media/dvb/b2c2/skystar2.c
--- 25/drivers/media/dvb/b2c2/skystar2.c~dvb-skystar2-fix-mac-address-reading	2005-03-21 20:57:48.000000000 -0800
+++ 25-akpm/drivers/media/dvb/b2c2/skystar2.c	2005-03-21 20:57:48.000000000 -0800
@@ -231,8 +231,8 @@ static void fixchipaddr(u32 device, u32 
 {
 	if (device == 0x20000000)
 		*ret = bus | ((addr >> 8) & 3);
-
-	*ret = bus;
+	else
+		*ret = bus;
 }
 
 static u32 flex_i2c_read(struct adapter *adapter, u32 device, u32 bus, u32 addr, u8 *buf, u32 len)
_
